import React, { ReactNode } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import type { SceneRendererProps } from 'react-native-tab-view';
export declare type TabViewProps = {
    enableOptimizations?: boolean;
    onIndexChange?: (index: number) => void;
    renderTabBar?: (props: SceneRendererProps) => React.ReactNode;
    tabBarPosition?: 'top' | 'bottom';
    initialLayout?: {
        width?: number;
        height?: number;
    };
    lazy?: boolean;
    lazyPreloadDistance?: number;
    removeClippedSubviews?: boolean;
    sceneContainerStyle?: StyleProp<ViewStyle>;
    style?: StyleProp<ViewStyle>;
    children?: ReactNode;
};
export declare const TabView: (props: TabViewProps) => JSX.Element;
export declare type TabProps = {
    key?: string;
    icon?: string;
    title?: string;
    accessible?: boolean;
    accessibilityLabel?: string;
    testID?: string;
    children: ReactNode;
};
export declare const Tab: (props: TabProps) => JSX.Element;
